#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	MESON_OPTS += -Dtests=true
else
	MESON_OPTS += -Dtests=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(MESON_OPTS) \
		-Dauto_features=enabled
